Subject: [bug#43769] [PATCH v2 2/2] guix-install.sh: Check the service 'nscd' and suggest it.

From: zimoun <[email-masked]>
Date: Mon, 5 Oct 2020 11:19:28 +0200

On Mon, 5 Oct 2020 at 10:08, Ludovic Courtès <[email-masked]> wrote:
> Tobias Geerinckx-Rice <[email-masked]> skribis:
>
> > zimoun 写道：
> >> * etc/guix-install.sh (chk_sys_nscd): New function to check if the
> >> service
> >> 'nscd is running, otherwise suggest to install distribution-wide.
> >
> > If we must have a new interactive prompt in this series, this seems
> > like the better place: we know enough about the host (init) system to
> > auto-enable nscd on most of them, if the user so wishes.
>
> In practice, you enable nscd by running ‘apt install nscd’ or similar,
> and I think we cannot guess what the right command is.  WDYT?

Yeah, I have tried in an unsent yet v3 to ask and then try to start
the service depending on the init system if nscd is not running.  And
if it fails, ask to install it.  That's the best we can do, IMHO.
Maybe it is over engineering and a simple INFO/WARN is enough.  WDYT?

All the best,
simon